﻿using Patterns.InputSettings;
using System.Threading;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.Debuggers.Сubes
{
    public class cPreparingReg
    {
        private readonly Instance instance;
        private readonly IZennoPosterProjectModel project;

        public cPreparingReg(Instance instance, IZennoPosterProjectModel project)
        {
            this.instance = instance;
            this.project = project;
        }

        public void Execute()
        {
            var settings = new sReg(project);
            project.SendInfoToLog("Работаем с " + settings.Service);
            Thread.Sleep(1000);
            project.SendInfoToLog("Путь для сохранения: " + settings.Service);
            Thread.Sleep(1000);
            project.SendInfoToLog($"Разделитель: \"{settings.Separator}\"");
            Thread.Sleep(1000);
        }
    }
}
