﻿using Patterns.InputSettings;
using System.Threading;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.Debuggers.Сubes
{
    public class cPreparingSms
    {
        private readonly Instance instance;
        private readonly IZennoPosterProjectModel project;

        public cPreparingSms(Instance instance, IZennoPosterProjectModel project)
        {
            this.instance = instance;
            this.project = project;
        }

        public void Execute()
        {
            var settings = new sSms(project);
            project.SendInfoToLog("Работаем с " + settings.Service);
            Thread.Sleep(1000);
            project.SendInfoToLog("Гео: " + settings.Geo);
            Thread.Sleep(1000);
            project.SendInfoToLog("Оператор: " + settings.Operator);
            Thread.Sleep(1000);
        }
    }
}
