﻿using Patterns.InputSettings;
using System.Threading;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.Debuggers.Сubes
{
    public class cProxy
    {
        private readonly Instance instance;
        private readonly IZennoPosterProjectModel project;

        public cProxy(Instance instance, IZennoPosterProjectModel project)
        {
            this.instance = instance;
            this.project = project;
        }

        public void Execute()
        {
            var settings = new sProxy(project);
            project.SendInfoToLog("Получили прокси из файла: " + settings.FilePath);
            Thread.Sleep(1000);
            var proxy = "22.33.44.55:1234";
            project.SendInfoToLog($"Прокси:{proxy} | Тип:{settings.Type}");
            Thread.Sleep(1000);
            project.SendInfoToLog("Подключили прокси");
            Thread.Sleep(1000);
            project.SendInfoToLog("Прокси рабочий");
            Thread.Sleep(1000);
            project.Variables["cfg_SiteWalker"].Value = proxy;
            project.SendInfoToLog("Сохранили прокси в переменную ZP");
            Thread.Sleep(1000);
        }
    }
}
