﻿using Patterns.InputSettings;
using System.Threading;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.Debuggers.Сubes
{
    public class cRegVk
    {
        private readonly Instance instance;
        private readonly IZennoPosterProjectModel project;

        public cRegVk(Instance instance, IZennoPosterProjectModel project)
        {
            this.instance = instance;
            this.project = project;
        }

        public void Execute()
        {
            var settings = new sVK(project);
            project.SendInfoToLog("Начинаем регистрацию ВК");
            Thread.Sleep(1000);
            project.SendInfoToLog("Прокси: " + settings.Proxy);
            Thread.Sleep(1000);
            project.SendInfoToLog("Получаем номер на: " + settings.Sms.Service);
            Thread.Sleep(1000);
            var number = "8001112233";
            project.SendInfoToLog("Номер для регистрации: " + number);
            Thread.Sleep(1000);
            project.SendInfoToLog("Регистрация успешна!");
            Thread.Sleep(1000);
            project.SendInfoToLog("Сохраняем аккаунт: " + $"Путь: {settings.PathSave} | Номер: {number}");
            Thread.Sleep(1000);
        }
    }
}
