﻿using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.InputSettings
{
    public class sLog
    {
        public bool IsEnabled { get; private set; }
        public string Directory {  get; private set; }
        public string Format { get; private set; }

        public sLog(IZennoPosterProjectModel project)
        {
            IsEnabled = bool.Parse(project.Variables["log_IsEnabled"].Value);
            Directory = project.Variables["log_Directory"].Value;
            Format = project.Variables["log_Format"].Value;
        }
    }
}
