﻿using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.InputSettings
{
    public class sSms
    {
        public string Service {  get; private set; }
        public string Geo {  get; private set; }
        public int CheckTimer_Sec { get; private set; }
        public string Operator { get; private set; }

        public sSms(IZennoPosterProjectModel project)
        {
            Service = project.Variables["sms_Service"].Value;
            Geo = project.Variables["sms_Geo"].Value;
            CheckTimer_Sec = int.Parse(project.Variables["sms_CheckTimer_sec"].Value) * 1000;
            Operator = project.Variables["sms_Operator"].Value;
        }
    }
}
