﻿using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.InputSettings
{
    public class sVK
    {
        public string PathSave { get; private set; }
        public string Proxy {  get; private set; }
        public sSms Sms { get; private set; }

        public sVK(IZennoPosterProjectModel project)
        {
            PathSave = project.Variables["reg_PathSave"].Value;
            Proxy = project.Variables["cfg_Proxy"].Value;
            Sms = new sSms(project);
        }
    }
}
